Loading...
Searching...
No Matches
LayerManager Class Reference
Inheritance diagram for LayerManager:

## Static Public Member Functions

static Layer & | getMoleculeLayer ()
static Layer & | getMoleculeLayer (const Molecule *mol)
static Layer & | getMoleculeLayer (const Molecule *original, const Molecule *copy)
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo ()
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo (const Molecule *mol)
static void | deleteMolecule (const Molecule *mol)
static size_t | layerCount ()

## Static Protected Attributes

static const Molecule * | m_activeMolecule
static std::map< const Molecule *, std::shared_ptr< MoleculeInfo > > | m_molToInfo

## Member Function Documentation

## getMoleculeLayer() [1/3]

Layer & getMoleculeLayer | ( |  | ) |

static

Returns
  active molecule Layer

## getMoleculeLayer() [2/3]

Layer & getMoleculeLayer | ( | const Molecule * | mol | ) |

static

Returns
  Layer from `mol` and creates MoleculeInfo if not exists

## getMoleculeLayer() [3/3]

Layer & getMoleculeLayer | ( | const Molecule * | original,
|  | const Molecule * | copy )

static

Returns
  Layer from `original` and links `original` MoleculeInfo to `copy`

## getMoleculeInfo() [1/2]

std::shared_ptr< MoleculeInfo > getMoleculeInfo | ( |  | ) |

static

Returns
  the MoleculeInfo from active molecule

## getMoleculeInfo() [2/2]

std::shared_ptr< MoleculeInfo > getMoleculeInfo | ( | const Molecule * | mol | ) |

static

Returns
  the MoleculeInfo from `mol`

## deleteMolecule()

void deleteMolecule | ( | const Molecule * | mol | ) |

static

remove all data related to `mol`

## layerCount()

size_t layerCount | ( |  | ) |

static

Returns
  the layer quantity from activeMolecule

The documentation for this class was generated from the following file:

- layermanager.h